Package: maven-bundle-plugin / 2.3.5-1

Metadata

Package Version Patches format
maven-bundle-plugin 2.3.5-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
remove_bndlib_spring_support.diff | (download)

src/main/java/org/apache/felix/bundleplugin/BundlePlugin.java | 4 0 + 4 - 0 !
1 file changed, 4 deletions(-)

 drop support of bndlib spring framework support
 since this library is not build with this support enabled.
support_bnd_144.diff | (download)

src/main/java/org/apache/felix/bundleplugin/BundlePlugin.java | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 support for bnd >= 1.44 api :
 Add new boolean checkMultipleVersions parameter.
support_plexus_utils_1_5.diff | (download)

src/main/java/org/apache/felix/bundleplugin/BundlePlugin.java | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 support for olf plexus-utils 1.5.x (as currently in debian).